com.streambase.sb.operator.parameter

## Enum UIHints.TextFontHint

- java.lang.Object
- - java.lang.Enum<UIHints.TextFontHint>
  - - com.streambase.sb.operator.parameter.UIHints.TextFontHint

- All Implemented Interfaces:
    Serializable, Comparable<UIHints.TextFontHint>
  Enclosing class:
    UIHints

      public static enum UIHints.TextFontHint
      extends Enum<UIHints.TextFontHint>

  Used to request a font style for String-based properties
  Since:
    7.7.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` No special font will be applied
    `FIXED_WIDTH` A fixed width (eclipse platform, Basic Text font) will be applied

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIHints.TextFontHint` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIHints.TextFontHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final UIHints.TextFontHint DEFAULT

      No special font will be applied

    - #### FIXED_WIDTH

          public static final UIHints.TextFontHint FIXED_WIDTH

      A fixed width (eclipse platform, Basic Text font) will be applied

  - ### Method Detail

    - #### values

          public static UIHints.TextFontHint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIHints.TextFontHint c : UIHints.TextFontHint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIHints.TextFontHint valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.